Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162255 - CAN-2005-1175 krb5 buffer overflow in KDC
Summary: CAN-2005-1175 krb5 buffer overflow in KDC
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: krb5
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Brian Brock
URL:
Whiteboard: impact=moderate,embargo=20050712,sour...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-01 18:26 UTC by Josh Bressers
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: RHSA-2005-562
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-12 18:19:04 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:562 normal SHIPPED_LIVE Critical: krb5 security update 2005-07-12 04:00:00 UTC

Description Josh Bressers 2005-07-01 18:26:28 UTC
+++ This bug was initially created as a clone of Bug #157103 +++

Additionally, the same request, when received by the KDC via either
TCP or UDP, can trigger a bug in the krb5 library which results in a
single-byte overflow of a heap buffer.  Additionally, application
servers are vulnerable to a highly improbable attack, provided that
the attacker controls a realm sharing a cross-realm key with the
target realm. [CAN-2005-1175]

An unauthenticated attacker may be able to use this vulnerability
to execute arbitrary code on the KDC host, potentially compromising an
entire Kerberos realm.  No exploit code is known to exist at this
time.  Exploitation of these vulnerabilities is believed to be
difficult.

Comment 1 Josh Bressers 2005-07-01 18:27:43 UTC
This issue also affects RHEL2.1

Comment 2 Josh Bressers 2005-07-07 12:58:08 UTC
According to MIT, the attacker must control a realm sharing a cross-realm key
with the target realm.  I'm lowering the severity to "moderate".

Comment 3 Mark J. Cox 2005-07-12 18:00:53 UTC
Public at http://web.mit.edu/kerberos/www/advisories/, removing embargo

Comment 4 Red Hat Bugzilla 2005-07-12 18:19:05 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-562.html



Note You need to log in before you can comment on or make changes to this bug.